texmath-0.8.4: Conversion between formats used to represent mathematics.

Safe Haskell | None
Language | Haskell2010

Text.TeXMath.Readers.MathML

Description

Parses MathML in conformance with the MathML3 specification.

Unimplemented features:

- menclose
- mpadded
- mmultiscripts (etc)
- malignmark
- maligngroup
- Elementary Math

To Improve:

- Handling of menclose
- Handling of mstyle

Synopsis

- readMathML :: String -> Either String [Exp]

# Documentation

readMathML :: String -> Either String [Exp]

Parse a MathML expression to a list of `Exp`.